Package: groovy.transform

## [Java] Annotation Type SealedOptions

- groovy.transform.SealedOptions

-     @Documented
      @Incubating
      @Retention(RetentionPolicy.SOURCE)
      @Target(ElementType.TYPE)
      public @interface SealedOptions

  Class annotation used to assist in the creation of sealed classes.

  Since:
    4.0.0

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `boolean` | `alwaysAnnotate` Add annotations even for native sealed classes.
    `SealedMode` | `mode` Mode to use when creating sealed classes.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public boolean alwaysAnnotate

      Add annotations even for native sealed classes. Ignored when emulating sealed classes since then annotations are always used.

      Default:
        true

    - #### public SealedMode mode

      Mode to use when creating sealed classes.

      Default:
        SealedMode.AUTO